Bug 1934798 - machineset-controller stuck in CrashLoopBackOff after upgrade to 4.7.0
Summary: machineset-controller stuck in CrashLoopBackOff after upgrade to 4.7.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.7
Hardware: All
OS: All
urgent
urgent
Target Milestone: ---
: 4.7.z
Assignee: Michael Gugino
QA Contact: Milind Yadav
URL:
Whiteboard:
Depends On: 1934216
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-03 20:27 UTC by OpenShift BugZilla Robot
Modified: 2021-03-16 08:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-16 08:42:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 821 0 None closed [release-4.7] Bug 1934798: reuse mgr client in webhooks 2021-03-16 18:05:16 UTC
Red Hat Product Errata RHBA-2021:0749 0 None None None 2021-03-16 08:43:10 UTC

Comment 3 Milind Yadav 2021-03-08 12:31:33 UTC
Validated 

Below are the steps :

Nightly without fix :

[miyadav@miyadav debug]$ oc logs  machine-api-controllers-7fcbdc6dc9-2gqvn -c machineset-controller | grep "Registering Components"
2021/03/08 11:06:53 Registering Components.
2021/03/08 11:07:10 Registering Components.


Upgraded nightly to image which contains the fix 

[miyadav@miyadav debug]$ oc get pods
NAME                                           READY   STATUS    RESTARTS   AGE
cluster-autoscaler-operator-77d84d5b48-5jbsp   2/2     Running   0          72s
cluster-baremetal-operator-677f489878-qxc77    1/1     Running   0          71s
machine-api-controllers-64f7444c86-gg2hv       7/7     Running   0          18m
machine-api-operator-6b5df9fcf-fm848           2/2     Running   0          20m

[miyadav@miyadav debug]$ oc logs -f machine-api-controllers-64f7444c86-gg2hv | grep "Registering Components"
error: a container name must be specified for pod machine-api-controllers-64f7444c86-gg2hv, choose one of: [machineset-controller machine-controller nodelink-controller machine-healthcheck-controller kube-rbac-proxy-machineset-mtrc kube-rbac-proxy-machine-mtrc kube-rbac-proxy-mhc-mtrc]
[miyadav@miyadav debug]$ oc logs -f machine-api-controllers-64f7444c86-gg2hv -c machineset-controller | grep "Registering Components"
2021/03/08 12:04:02 Registering Components.
2021/03/08 12:04:04 Registering Components.
^C
[miyadav@miyadav debug]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-03-06-183610   True        False         8m28s   Cluster version is 4.7.0-0.nightly-2021-03-06-183610
[miyadav@miyadav debug]$ 


Additional info:

time difference is less than 10 seconds as seen in logs 

moved to VERIFIED

Comment 5 errata-xmlrpc 2021-03-16 08:42:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.2 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0749


Note You need to log in before you can comment on or make changes to this bug.